Subject: Re: dvi2ps

From: "J.B. WANG" <[email-masked]>
Date: Tue, 17 Apr 90 11:11:00 EDT

The following are replies to S. Lam (on Xian in BDF), T. Kwan (on enhancing
ch-series), Chin-long Cheng (on uploading Xian) and T. Tang (on Byx device
driver), which might all be of public interests.

1
) To S. Lam: Please make your copy of Fan2-Ti3 16x16 font library in BDF
  format available for ftp, so that I can create other font sizes from it
  for everybody in the ccnet, and also implement it in ch-series. Let us
  know how to ftp, or drop it at anonymous/tmp 192.12.216.114.

2) T. Kwan said he would like to enhance ch-series as part of his course
  project in a document typesetting course. I would like to suggest the
  followings:

  a) if the project is short and small (as you said 2 weeks to 1 month),
   you might like to do the following: enhancing the WStroff part of
   ch-series by implementing a better command parser. For the timebeing, the
   command parser is a kind of crude in chtex -w. It only allows dot+2byte
   commands. If you like, you create a new option to accept commands that
   are Scribe/LaTeX like (LaTeX commands are stolen from Scribe), instead of
   troff/Runoff like. That is, commands do not have be at the beginning of the
   line starting with a dot. The command escape can be @ or \, and command
   names can have variable length. WStroff has almost all the basic commands
   from margin setting to list creation, font style to font size, forced
   line and page break, paragraph and work grouping, PS figure importing,
   indentation, line spacing/stretching, flushleft, flushright, center,
   paragraph format and verbatim, multicolumn formatting and etc.. However,
   one thing is obviously missing, i.e., the floating environment which is
   useful in typesetting tables and figures.

   My advice is that if you have to read books written by D. Knuth,
   Scribe manual or troff manul, it might take much longer than you expect
   and you will get little (unless you are already an expert of a typesetting
   system). Leslie Lamport's book on LaTeX are better than the others, but
   too simple to describe everything. I, however, have written up books on
   TeX/LaTeX and Scribe for free, and they are TeXGuide.tar.Z (texint.ps +
   thesis.ps) in anonymous/tex of 192.12.216.114 or june.cs.washington.edu.
   A two volume manual (about 450 pages total) on Scribe TEC.mak database
   developed by myself is also available in anonymous/scribe under
   tecdoc.arc (arc is PC PKARC format which is also supported by UNIX
   implementation, you can check out arcsrc.tar.Z from june.cs.washington.edu
   by Howard Chu).

  b) another possible topic to work on is full LaTeX implementation of ChTeX
   in the ch-series. This might take longer than a). It has things to do with
   font sizes and it is device driver dependent. If you are using my dvi2ps,
   the files to work on are psfont.sty (in dvi2ps distribution), and output
   prologue by ChTeX in the .chtex file generated by ChTeX. In other words,
   macros have to be written to let LaTeX and dvi2ps figure out font sizes
   with LaTeX commands \Large, \rm, \small, \tiny, etc.. If you decide to
   use Kevin's dvi2ps (which also includes mine) or Tom's dvips you have to
   make them support ChTeX first before you can hack the macros.

 3) To Chin-long Cheng: you tried to upload TXian16 but got broken pipe.
   I appreciate your effort, and the one way is to try again. It happens
   in networking.

 4) D. Tang asked for device driver for Byx. This was an answered question
   in SCC (which I don't check now). Mr. Yuan of Byx, who communicated with
   me through telephone a couple of times, has EPSON 9-pin and 24-pin device
   driver in Byx distribution. His design of Byx is simple formatting and
   device driving in one. Byx editor does not have new line marks in a
   paragraph if you do not use it carefully. Thus, other device drivers which
   do not have any formatting function will fail on it (if one has both
   Mr. Yuan's Byx and Mr. C.Q. Cheng's HP driver, try to see if the HP driver
   woulf fail on Byx's README.chn).  However, if you have access to a
   PostScript printer, chdos.arc from my ch-series will certainly drive and
   format any Byx edited file for you (but not in Byx command, instead in
   WStroff commands, or nothing). You can use any of the 35 Adobe resident
   fonts with WStroff and Chinese fonts can be 'arbitarily' scaled, boldfaced,
   italicised, and so on [see 1) to Mr. Kwan]. Let us know what more you
   expect from a device driver and basic formatter.

Sincerely yours

JB Wang